<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]><html class="ie ie7" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8]><html class="ie ie8" <?php language_attributes(); ?>><![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!--><html <?php language_attributes(); ?>><!--<![endif]-->
<head>

	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<meta name="description" content="Climate Control Systems of Greenwood has been owned and operated in Greenwood, SC for over 25 years.  We are a full-service heating, ventilation and air conditioning company offering repairs and installations for residential and commercial customers. "/>
	<meta property="og:image" content="http://www.climategreenwood.com/wp-content/themes/climatecontrol/images/climategreenwood.jpg" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicons/favicon.ico" />
	<link rel="apple-touch-icon" sizes="180x180" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicons/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicons/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicons/favicon-16x16.png">
	<link rel="manifest" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicons/manifest.json">
	<link rel="mask-icon" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicons/safari-pinned-tab.svg" color="#5bbad5">
	<meta name="theme-color" content="#ffffff">
	<link href='https://fonts.googleapis.com/css?family=Economica:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
	<!--[if lt IE 9]><script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script><![endif]-->
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<header id="masthead" class="site-header" role="banner">
		<div class="header-main">
			<div class="inner-wrapper">
				<div class="header-left">
				<div class="header-left">
					<div class="header-links">
						<a href='service-request/'>Service Request</a><a href='estimate-request/'>Estimate Request</a></div>
						<div class="phone"><a href="tel:+18642291409">864-229-1409</a></div>
					</div>
				</div>
				<div class="logo">
					<a href="<?php bloginfo('url'); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/climate_control_logo.png"></a>
				</div>
				<!--<?php get_search_form(); ?>-->
				<!--<div class="social">
					<?php if ( get_field('social_media', 'options') ) {
						echo "<ul class='social-links'>";
						while( has_sub_field('social_media', 'options') ) {
							echo "<li><a href='" . get_sub_field('social_link') . "' target='_blank' style='background-image:url(" . get_sub_field('social_icon') . ");'>" . get_sub_field('social_text') . "</a></li>";
						}
						echo "</ul>";
					} ?>
				</div>-->
			</div>
		</div>
		<nav id="primary-navigation" class="site-navigation primary-navigation inner-wrapper " role="navigation">
			<div class="inner-wrapper">
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
			</div>
			<div class="sub-nav-back"></div>
		</nav>
	</header><!-- #masthead -->

	<div id="main" class="site-main">
